using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

using BusinessCommon;
using BusinessBLL.Components;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Service : System.Web.Services.WebService
{
    public Service () {

        //デザインされたコンポーネントを使用する場合、次の行をコメントを解除してください 
        //InitializeComponent(); 
    }

    [WebMethod]
    public void MethodWithoutAuthentication()
    {
        new MyComponent().DoMethod();
    }

    [WebMethod]
    [AuthenticationExtension]
    public void MethodWithAuthentication()
    {
        new MyComponent().DoAuthenticatedMethod();
    }
    
}
